Skip to main content

Upload a file

POST 

/api/file/upload

Upload a file to the Ownli cloud. All files used for check-ins need to be uploaded to the Ownli cloud first.

Request

Body

required

    userId stringrequired
    name stringrequired

    User defined file name of the file. You can give a name that makes it easier the URL easier to identify. Also it will be helpful to provide a suffix so tools like a Browser, Finder or explorer can display it automatically.

    file stringrequired

    Base64 encoded string representation of the file.

    deviceIdentifier string

    Unique identifier of the device on which the document was uploaded or photo taken.

    deviceManufacturer string

    The manufacturer of the device on which the document was uploaded or photo was taken. e.g. Apple, Xiaomi, Samsung, OPPO, OnePlus etc.

    deviceModel string

    The model of the device on which the document was uploaded or photo was taken. e.g. LM-G900, motorola edge, IPad, IPhone 14

    deviceOS string

    The OS of the device on which the document was uploaded or photo was taken. Android 9, iOS 13.2.3 etc.

    takenOn string

    [takenOn] The timestamp at which the document was uploaded or photo was taken. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ; eg: 2024-01-01T00:00:00.000Z

    latitude double

    Latitude at which photo was taken.

    longitude double

    Longitude at which photo was taken.

Responses

File object created by the upload.

Schema

    userId string

    Id of the owner

    fileUrl string

    URL of the file

    dateUploaded string

    The timestamp of upload

Loading...